org.apache.ode.bpel.o

## Class OForEach

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OForEach

- All Implemented Interfaces:
    java.io.Serializable

      public class OForEach
      extends OActivity

  Base model class for forEach activity.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OForEach.CompletionCondition`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OForEach.CompletionCondition` | `completionCondition`
    `OScope.Variable` | `counterVariable`
    `OExpression` | `finalCounterValue`
    `OScope` | `innerScope`
    `boolean` | `parallel`
    `OExpression` | `startCounterValue`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OForEach(OProcess owner, OActivity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### counterVariable

          public OScope.Variable counterVariable

    - #### parallel

          public boolean parallel

    - #### startCounterValue

          public OExpression startCounterValue

    - #### finalCounterValue

          public OExpression finalCounterValue

    - #### completionCondition

          public OForEach.CompletionCondition completionCondition

    - #### innerScope

          public OScope innerScope

  - ### Constructor Detail

    - #### OForEach

          public OForEach(OProcess owner,
                          OActivity parent)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OActivity`